Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516459 - Mock build of the master branch ends with 3 test failures
Summary: Mock build of the master branch ends with 3 test failures
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 16:25 UTC by Tomas Orsava
Modified: 2018-10-15 14:18 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-15 13:56:44 UTC


Attachments (Terms of Use)
build log (deleted)
2017-11-22 16:25 UTC, Tomas Orsava
no flags Details


Links
System ID Priority Status Summary Last Updated
Python 31132 None None None 2018-02-15 14:49:44 UTC

Description Tomas Orsava 2017-11-22 16:25:06 UTC
Created attachment 1357667 [details]
build log

When building the current content of the master branch in mock, the build ends with 3 test failures: test_logging test_resource test_smtplib.

Koji build is fine.

Build log is attached.

Comment 1 Petr Viktorin 2017-11-22 16:38:16 UTC
At least one of those is reported: https://bugs.python.org/issue31132

Comment 2 Fedora End Of Life 2018-02-20 15:33:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Victor Stinner 2018-10-15 13:56:44 UTC
I just tested (in Fedora Rawhide, using mock) manually: test_distutils and test_ssl fail.

test_ssl fails.test_min_max_version() fails with: AssertionError: <TLSVersion.TLSv1: 769> != <TLSVersion.MINIMUM_SUPPORTED: -2>. That's a known issue => Bug #1618753.

test_distutils: BuildRpmTestCase fails because /usr/lib/rpm/brp-python-bytecompile fails to locate /usr/bin/python3.8... Well, that's right, Python 3.8 isn't installable. It seems to be more a bug in the test or the way I run the test, it doesn't seem to be a in Python nor in Fedora.

All other issues have been fixed in the meanwhile in the master branch.

I close the issue.

Comment 4 Miro Hrončok 2018-10-15 14:18:18 UTC
distutils: https://bugzilla.redhat.com/show_bug.cgi?id=1590235


Note You need to log in before you can comment on or make changes to this bug.